LinuxQuestions.org
Latest LQ Deal: Complete CCNA, CCNP & Red Hat Certification Training Bundle
Go Back   LinuxQuestions.org > Forums > Linux Forums > Linux - Distributions > Slackware
User Name
Password
Slackware This Forum is for the discussion of Slackware Linux.

Notices


Reply
  Search this Thread
Old 07-15-2011, 02:58 PM   #1
george-lappies
Member
 
Registered: May 2011
Location: Secunda, South Africa
Distribution: Slackware 13.37
Posts: 181

Rep: Reputation: 9
What would be the best way to downgrade MySQL?


Hi all

I need to downgrade mysql5.1 to mysql5.0 to be able to allow a client app to connect to the db. The mysql version shipping with 13.37 is 5.1 what would be the best way to downgrade this to 5.0?

Thanks in advance
 
Old 07-15-2011, 03:05 PM   #2
dugan
LQ Guru
 
Registered: Nov 2003
Location: Canada
Distribution: Slackware
Posts: 7,711

Rep: Reputation: 2991Reputation: 2991Reputation: 2991Reputation: 2991Reputation: 2991Reputation: 2991Reputation: 2991Reputation: 2991Reputation: 2991Reputation: 2991Reputation: 2991
Download the MySQL 5.0 package from a Slackware mirror. Use upgradepkg to install it. Perform any necessary resets and initializations.
 
1 members found this post helpful.
Old 07-15-2011, 03:09 PM   #3
repo
LQ 5k Club
 
Registered: May 2001
Location: Belgium
Distribution: Arch
Posts: 8,528

Rep: Reputation: 899Reputation: 899Reputation: 899Reputation: 899Reputation: 899Reputation: 899Reputation: 899
Also don't forget to blacklist MySQL in
Code:
/etc/slackpkg/blacklist.
Kind regards
 
Old 07-15-2011, 03:11 PM   #4
george-lappies
Member
 
Registered: May 2011
Location: Secunda, South Africa
Distribution: Slackware 13.37
Posts: 181

Original Poster
Rep: Reputation: 9
Quote:
Originally Posted by dugan View Post
Download the MySQL 5.0 package from a Slackware mirror. Use upgradepkg to install it. Perform any necessary resets and initializations.
dugan, thanks for the reply. The last version to sport 5.0 is slackware 13.0 will that package upgrade the one found in 13.37?
 
Old 07-15-2011, 03:16 PM   #5
dugan
LQ Guru
 
Registered: Nov 2003
Location: Canada
Distribution: Slackware
Posts: 7,711

Rep: Reputation: 2991Reputation: 2991Reputation: 2991Reputation: 2991Reputation: 2991Reputation: 2991Reputation: 2991Reputation: 2991Reputation: 2991Reputation: 2991Reputation: 2991
I'm sure it will.

If you're worried about dependencies, then you can use the SlackBuild script in /source to build MySQL 5.0 on your 13.37 system. However, I'm 90% sure that that won't be necessary and the 5.0 binary package will work fine.

Last edited by dugan; 07-15-2011 at 03:18 PM.
 
Old 07-15-2011, 03:39 PM   #6
george-lappies
Member
 
Registered: May 2011
Location: Secunda, South Africa
Distribution: Slackware 13.37
Posts: 181

Original Poster
Rep: Reputation: 9
Thanks guys it worked like charm, marking as solved.
 
  


Reply


Thread Tools Search this Thread
Search this Thread:

Advanced Search

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is Off
HTML code is Off



Similar Threads
Thread Thread Starter Forum Replies Last Post
mysql error Can't connect to local MySQL server through socket '/var/lib/mysql/mysql. SpellChainz Linux - Newbie 1 06-23-2007 04:35 PM
Fedora Core 5- MySQL Downgrade dereko Linux - Software 3 07-27-2006 11:59 AM
mysql 5.0 downgrade to 4.1 Ipolit Debian 1 01-20-2006 02:44 PM
Mysql 4.1 -> 4.0 downgrade problem frisco-driver Linux - Software 1 05-16-2005 12:14 AM

LinuxQuestions.org > Forums > Linux Forums > Linux - Distributions > Slackware

All times are GMT -5. The time now is 10:35 AM.

Main Menu
Advertisement
My LQ
Write for LQ
LinuxQuestions.org is looking for people interested in writing Editorials, Articles, Reviews, and more. If you'd like to contribute content, let us know.
Main Menu
Syndicate
RSS1  Latest Threads
RSS1  LQ News
Twitter: @linuxquestions
Facebook: linuxquestions Google+: linuxquestions
Open Source Consulting | Domain Registration